#include <iostream>
#include <string>

using namespace std;

int main() 
{
	string a,b,c,max="0";
	cin>>a>>b>>c;
	string s[7];
	s[1]=a+b+c;
	s[2]=a+c+b;
	s[3]=b+a+c;
	s[4]=b+c+a;
	s[5]=c+a+b;
	s[6]=c+b+a;
	for(int i=1;i<7;i++)
	{
		if(s[i]>max)
			max=s[i];
	}
	cout<<max;
	return 0;
}